curl --request GET \
--url https://sapi.withsutro.com/applications/{applicationId}/actions/{actionId}/effects/{effectId} \
--header 'Authorization: Bearer <token>' \
--header 'x-sutro-api-client: <api-key>'{
"actionEffectId": "<string>",
"effect": "<string>",
"params": {},
"bindParams": {},
"next": "<string>",
"onError": {
"nextId": "<string>",
"continueOriginalFlow": true
}
}curl --request GET \
--url https://sapi.withsutro.com/applications/{applicationId}/actions/{actionId}/effects/{effectId} \
--header 'Authorization: Bearer <token>' \
--header 'x-sutro-api-client: <api-key>'{
"actionEffectId": "<string>",
"effect": "<string>",
"params": {},
"bindParams": {},
"next": "<string>",
"onError": {
"nextId": "<string>",
"continueOriginalFlow": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
Use this file to discover all available pages before exploring further.
Builder authentication and authorization
A unique identifier for the API Client making a request
The requested effect
This is a unique ID to identify this action effect within its parent Action
The ID of the effect to run
Static input parameters for the action effect
Dynamic input parameters for the action effect. These MUST be SCodeValues
This is the ID of the next action effect in the sequence (if any)
Show child attributes
Was this page helpful?